Kerbal Space Program - Bug #2866

Persistent.sfs bloats out with hundreds of thousands of duplicate lines.
08/13/2014 09:11 AM - AlonzoTG

Status: Closed Start date: 08/13/2014
Severity: Normal % Done: 100%
Assignee:

Category: Application

Target version:

Version: 0.24 Language: English (US)
Platform: Linux Mod Related: No
Expansion:

Description

my persistent.sfs should be around 4 megs because | didn't realize that astaroids were re-spawning and thought | could track them
all, now I'm stuck with 175 of them. The issues is that the file bloated out to 23 mb in size. | see tens of thousands of "at = kerbin"
lines. | wrote a work-around to strip those out. Last night | found a new pattern, where | would see a two-stride version of the same
bug.

"at = eve"
"at = sun"
"at = eve"

"at = sun" repeated 589,804 times. While large, that number is not arbitrary, it is actual output from my program'’s counter for
doubles. There were also 258 single line repeats. Oh jeez, there are tripples too, That might be beyond my ability as a programmer
to fix.... =(

History

#1 - 09/10/2014 08:35 PM - unseeingwhale

- Status changed from New to Need More Info

| tried to reproduce this on a new save and a vanilla install. | tracked 260 asteroids over a 3 year kerbal time period and | was not getting any bloat.
My file was under 400KB.

If you are still having bloat issues please provide us with the log files so that we can look into it more.

#2 - 07/19/2015 12:17 AM - AlonzoTG

probably should close this, haven't seen this problem in a while.

#3 - 07/19/2015 09:20 AM - Squelch

- Status changed from Need More Info to Closed

- % Done changed from 0 to 100

Thank you for reporting back. The original report lacks the required information, but it may be that other fixes have rendered this condition moot.

To help understand a bug we really do need the logs and any savegames that demonstrate the issue. We also need to ensure that the problem has
not been introduced by any mods in use, so to that end we cannot support modded games.

An excellent bug reporting guide can be found here to aid further reports

Closed by request.
